xfs_attr is now called attr

This commit is contained in:
Steve Lord
2001-01-19 17:15:32 +00:00
parent 5e334eecce
commit 8f253cf43d
2 changed files with 6 additions and 6 deletions
+4 -4
View File
@@ -60,7 +60,7 @@ _filter()
_attr()
{
xfs_attr $* 2>$tmp.err >$tmp.out
attr $* 2>$tmp.err >$tmp.out
exit=$?
_filter $tmp.out
_filter $tmp.err 1>&2
@@ -149,7 +149,7 @@ echo "*** add lots of attributes"
v=0
while [ $v -lt 1000 ]
do
echo "value_$v" | xfs_attr -s "attribute_$v" $testfile >/dev/null
echo "value_$v" | attr -s "attribute_$v" $testfile >/dev/null
if [ $? -ne 0 ]
then
echo "!!! failed to add \"attribute_$v\""
@@ -161,14 +161,14 @@ done
echo "*** check"
# don't print it all out...
xfs_attr -l $testfile \
attr -l $testfile \
| $AWK_PROG '{ l++ } END {print " *** " l " attribute(s)" }'
echo "*** remove lots of attributes"
v=0
while [ $v -lt 1000 ]
do
if ! xfs_attr -r "attribute_$v" $testfile >/dev/null
if ! attr -r "attribute_$v" $testfile >/dev/null
then
echo "!!! failed to add \"attribute_$v\""
exit 1